Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.control
Class ExecutionControlGUI

    java.lang.Object
      jason.control.ExecutionControl
          jason.control.ExecutionControlGUI

    public class ExecutionControlGUI

extends ExecutionControl

Field Summary

Fields inherited from class jason.control.ExecutionControl
`infraControl, logger`

Constructor Summary
`ExecutionControlGUI()`

Method Summary
`protected void` | `allAgsFinished()` called when all agents have finished the current cycle
`protected void` | `continueRun()`
`void` | `init(java.lang.String[] args)` This method is called when setExecutionControlInfraTier was already called
`void` | `receiveFinishedCycle(java.lang.String agName, boolean breakpoint, int cycle)` Called when the agent agName has finished its reasoning cycle.
`protected void` | `startRun()`
`void` | `stop()` This method is called when MAS execution is being finished
`protected void` | `stopRun()` stop the execution
`protected void` | `storeAgHistory(java.lang.String agName, int cycle, org.w3c.dom.Document doc)`
`protected boolean` | `testStop()` test whether to stop running and show the agent state

Methods inherited from class jason.control.ExecutionControl
`getCycleNumber, getCycleTimeout, getExecutionControlInfraTier, getNbAgs, setExecutionControlInfraTier, setNbAgs, setRunningCycle, startNewCycle, testEndCycle, toString, updateNumberOfAgents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecutionControlGUI

    public ExecutionControlGUI()

Method Detail

### init

    public void init(java.lang.String[] args)

  Description copied from class: `ExecutionControl`
  This method is called when setExecutionControlInfraTier was already called

  Overrides:
    `init` in class `ExecutionControl`

### stop

    public void stop()

  Description copied from class: `ExecutionControl`
  This method is called when MAS execution is being finished

  Overrides:
    `stop` in class `ExecutionControl`

### startRun

    protected void startRun()

### stopRun

    protected void stopRun()

  stop the execution

### continueRun

    protected void continueRun()

### receiveFinishedCycle

    public void receiveFinishedCycle(java.lang.String agName,
                                     boolean breakpoint,
                                     int cycle)

  Called when the agent agName has finished its reasoning cycle. breakpoint is true in case the agent selected one plan with "breakpoint" annotation.

  Overrides:
    `receiveFinishedCycle` in class `ExecutionControl`

### allAgsFinished

    protected void allAgsFinished()

  called when all agents have finished the current cycle

  Overrides:
    `allAgsFinished` in class `ExecutionControl`

### testStop

    protected boolean testStop()

  test whether to stop running and show the agent state

### storeAgHistory

    protected void storeAgHistory(java.lang.String agName,
                                  int cycle,
                                  org.w3c.dom.Document doc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD